v1-platform
Validate Bundle Candidate
Dry-run: would these documents bundle? Pure read; never commits.
Validate Bundle Candidate
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contents": {
"adaptive_policy": {},
"context": {},
"experience": {},
"guardrail": {},
"report_template": {},
"scorecard": {}
}
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate"
payload = {
"base_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contents": {
"adaptive_policy": {},
"context": {},
"experience": {},
"guardrail": {},
"report_template": {},
"scorecard": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_bundle_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contents: {
adaptive_policy: {},
context: {},
experience: {},
guardrail: {},
report_template: {},
scorecard: {}
}
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'base_bundle_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contents' => [
'adaptive_policy' => [
],
'context' => [
],
'experience' => [
],
'guardrail' => [
],
'report_template' => [
],
'scorecard' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate"
payload := strings.NewReader("{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"valid": true,
"changed_kinds": [
"experience"
],
"existing_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"existing_bundle_status": "draft",
"fingerprint": "<string>",
"issues": [
{
"code": "<string>",
"kind": "experience",
"message": "<string>",
"path": "<string>",
"severity": "error",
"refs": {
"field_id": "<string>",
"option_id": "<string>",
"question_id": "<string>",
"rule_id": "<string>",
"scenario_id": "<string>",
"section_id": "<string>"
}
}
],
"latest_published_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_published_experience_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truncated": false
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Body
application/json
Response
Successful Response
Available options:
experience, scorecard, context, guardrail, adaptive_policy, report_template Available options:
draft, validated, published, deprecated, archived Show child attributes
Show child attributes
⌘I
Validate Bundle Candidate
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contents": {
"adaptive_policy": {},
"context": {},
"experience": {},
"guardrail": {},
"report_template": {},
"scorecard": {}
}
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate"
payload = {
"base_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contents": {
"adaptive_policy": {},
"context": {},
"experience": {},
"guardrail": {},
"report_template": {},
"scorecard": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_bundle_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contents: {
adaptive_policy: {},
context: {},
experience: {},
guardrail: {},
report_template: {},
scorecard: {}
}
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'base_bundle_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contents' => [
'adaptive_policy' => [
],
'context' => [
],
'experience' => [
],
'guardrail' => [
],
'report_template' => [
],
'scorecard' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate"
payload := strings.NewReader("{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/bundle-candidates/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"base_bundle_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contents\": {\n \"adaptive_policy\": {},\n \"context\": {},\n \"experience\": {},\n \"guardrail\": {},\n \"report_template\": {},\n \"scorecard\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"valid": true,
"changed_kinds": [
"experience"
],
"existing_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"existing_bundle_status": "draft",
"fingerprint": "<string>",
"issues": [
{
"code": "<string>",
"kind": "experience",
"message": "<string>",
"path": "<string>",
"severity": "error",
"refs": {
"field_id": "<string>",
"option_id": "<string>",
"question_id": "<string>",
"rule_id": "<string>",
"scenario_id": "<string>",
"section_id": "<string>"
}
}
],
"latest_published_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_published_experience_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truncated": false
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}